[Language]
SupportLanguage="US,JP,CZ,DE,DK,ES,FI,FR,GR,HU,IT,NL,NO,PL,PT,RU,SE,KR,TH,CN,TW,TR,ID"
DefaultLanguage="US"
EULADIR="Res\EULA"
ReadMeDIR="\"
AppStringDIR="Res\String"

[Startup]
AppName="Canon #@STR_APPNAME@#"
ProductName="CNSEMAIN.EXE"
Version="1.0.0.0"
EULA="1"
FolderSelect="0"
MinimumSize="10"
MaxPathLen="230"

[install folder]
FolderName="Solution Menu EX"

[desktop shortcut]
Shortcut="1"
DSCInfo="Canon #@STR_APPNAME@#" "$InsFolder$\CNSEMAIN.EXE" "$InsFolder$" "" "INST_NML"

[group shortcut]
GroupShortcut="1"
GSCFolderName="Canon Utilities\#@STR_APPNAME@#"
GSCInfo="#@STR_APPNAME@#" "$InsFolder$\CNSEMAIN.EXE" "$InsFolder$" "" "INST_NML"
GSCInfo="#@STR_README_NAME@#" "$InsFolder$\Readme.txt" "$InsFolder$" "" "INST_NML"
GSCInfo="#@STR_UNINSTALLER_NAME@#" "$InsFolder$\uninst.exe" "$SysFolder$" "/Uninstall $InsFolder$\uninst.ini" "INST_NML"

[uninstall info]
DisplayName="Canon #@STR_APPNAME@#"
UninstallName="CanonSolutionMenuEX"
MakeISU="0"

[app path info]
AppPathsName="CNSEMAIN.EXE" "$InsFolder$\CNSEMAIN.EXE" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp="1"
UNInfo="CNSEMAIN.EXE" "CanonSolutionMenuEX" "Solution Menu EX" "32868" "SolutionMenuEXWndClass" "1000"

[OS]
WIN98="0"
WINME="0"
WIN2K="0"
WINXP="1"
WINVS="1"
WIN7="1"
WINNW="1"

[DOCICON]

[Files]
FILE="Data2.Cab\CNSEMAIN.EXE" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSEACNF.EXE" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSEMLNG.DLL" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSEUWRP.DLL" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNMLC.DLL" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNMPU.DLL" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CURALDLL.DLL" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\mfc80u.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\Microsoft.VC80.CRT.manifest" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\Microsoft.VC80.MFC.manifest" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\msvcm80.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\msvcp80.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\msvcr80.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LanguageList.xml" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Icon\*.*" "INST_APO" "AppInfo\Icon" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\CiG.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\CPARK.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\EID.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\ONLINEINFO.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\Premium.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\SLMX.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\AppInfo\Xml\UREG.xml" "INST_APO" "AppInfo\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CatInfo\Xml\*.*" "INST_APO" "CatInfo\Xml" "INST_REQ" "INST_ERR" "INST_HLD" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\JP\*.*" "INST_APO" "LangInfo\JP" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\EN\*.*" "INST_APO" "LangInfo\EN" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\FR\*.*" "INST_APO" "LangInfo\FR" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\DE\*.*" "INST_APO" "LangInfo\DE" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\IT\*.*" "INST_APO" "LangInfo\IT" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\ES\*.*" "INST_APO" "LangInfo\ES" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\DA\*.*" "INST_APO" "LangInfo\DA" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\FI\*.*" "INST_APO" "LangInfo\FI" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\NO\*.*" "INST_APO" "LangInfo\NO" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\SV\*.*" "INST_APO" "LangInfo\SV" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\NL\*.*" "INST_APO" "LangInfo\NL" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\PT\*.*" "INST_APO" "LangInfo\PT" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\CS\*.*" "INST_APO" "LangInfo\CS" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\PL\*.*" "INST_APO" "LangInfo\PL" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\HU\*.*" "INST_APO" "LangInfo\HU" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\RU\*.*" "INST_APO" "LangInfo\RU" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\EL\*.*" "INST_APO" "LangInfo\EL" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\TR\*.*" "INST_APO" "LangInfo\TR" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\ID\*.*" "INST_APO" "LangInfo\ID" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\KO\*.*" "INST_APO" "LangInfo\KO" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\SC\*.*" "INST_APO" "LangInfo\SC" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\TH\*.*" "INST_APO" "LangInfo\TH" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\LangInfo\TC\*.*" "INST_APO" "LangInfo\TC" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\UiInfo\Common\Images\*.*" "INST_APO" "UiInfo\Common\Images" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\UiInfo\Skin\Default\Images\*.*" "INST_APO" "UiInfo\Skin\Default\Images" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\UiInfo\Skin\Default\Xml\*.*" "INST_APO" "UiInfo\Skin\Default\Xml" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\WResList" "INST_WSPT" "INST_NON" "INST_CRE" "INST_ERR" "INST_HLD" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\WSptList" "INST_WSPT" "INST_NON" "INST_CRE" "INST_ERR" "INST_HLD" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

REGI="HLM" "Software\Microsoft\Windows\CurrentVersion\Run" "CanonSolutionMenuEx" "REG_SZ"  "$InsFolder$\CNSEMAIN.EXE /logon" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\MyPrinter\Canon Utilities\Solution Menu EX" "AppPath" "REG_SZ" "$InsFolder$\CNSEMAIN.EXE" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\MyPrinter\Canon Utilities\Solution Menu EX" "AppName" "REG_SZ" "Solution Menu EX" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Microsoft\Windows\CurrentVersion\App Paths\CNSEMAIN.EXE" "" "REG_SZ" "$InsFolder$\CNSEMAIN.EXE" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Microsoft\Windows\CurrentVersion\App Paths\CNSEMAIN.EXE" "Path" "REG_SZ" "$InsFolder$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "AppPath" "REG_SZ"  "$InsFolder$\CNSEMAIN.EXE" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "Version" "REG_SZ"  "$AppVersion$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "Language" "REG_SZ" "$Language$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "LanguageCode" "REG_SZ" "$LanguageCode$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "AREA" "REG_SZ" "$Area$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\Solution Menu EX" "RESIDENCE" "REG_SZ" "$Residence$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\WSpt" "Path" "REG_SZ" "$WsptFolder$\WSptList" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_HLD"
REGI="HLM" "Software\Canon\WSpt" "RESIDENCE" "REG_SZ" "$Area$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\WRes" "Path" "REG_SZ" "$WsptFolder$\WResList" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_HLD"
REGI="HLM" "Software\Canon\WRes" "RESIDENCE" "REG_SZ" "$Residence$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"
REGI="HLM" "Software\Canon\WRes" "AREA" "REG_SZ" "$Area$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)" "INST_DEL"

[UNINSTALL ONLY]
#UREGIK="HCU" "Software\Canon\Solution Menu EX" "DELETE_FORCE"
#UREGIK="HCU" "Software\Canon" "DELETE_EMPTY"

[InstallBeforeCall]

[InstallAfterCall]

[InstallEndCall]

[UninstallBeforeCall]

[UninstallAfterCall]

